Package org.flowable.dmn.api

# Class ExecuteDecisionContext

java.lang.Object
org.flowable.dmn.api.ExecuteDecisionContext

public class ExecuteDecisionContext extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `activityId`
  `protected DecisionExecutionAuditContainer`
  `decisionExecution`
  `protected String`
  `decisionId`
  `protected String`
  `decisionKey`
  `protected int`
  `decisionVersion`
  `protected String`
  `deploymentId`
  `protected DmnElement`
  `dmnElement`
  `protected String`
  `executionId`
  `protected boolean`
  `fallbackToDefaultTenant`
  `protected boolean`
  `forceDMN11`
  `protected String`
  `instanceId`
  `protected String`
  `parentDeploymentId`
  `protected String`
  `scopeType`
  `protected String`
  `tenantId`
  `protected Map<String,Object>`
  `variables`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecuteDecisionContext()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActivityId()`
  `DecisionExecutionAuditContainer`
  `getDecisionExecution()`
  `String`
  `getDecisionId()`
  `String`
  `getDecisionKey()`
  `int`
  `getDecisionVersion()`
  `String`
  `getDeploymentId()`
  `DmnElement`
  `getDmnElement()`
  `String`
  `getExecutionId()`
  `String`
  `getInstanceId()`
  `String`
  `getParentDeploymentId()`
  `String`
  `getScopeType()`
  `String`
  `getTenantId()`
  `Map<String,Object>`
  `getVariables()`
  `boolean`
  `isFallbackToDefaultTenant()`
  `boolean`
  `isForceDMN11()`
  `void`
  `setActivityId(String activityId)`
  `void`
  `setDecisionExecution(DecisionExecutionAuditContainer decisionExecution)`
  `void`
  `setDecisionId(String decisionId)`
  `void`
  `setDecisionKey(String decisionKey)`
  `void`
  `setDecisionVersion(int decisionVersion)`
  `void`
  `setDeploymentId(String deploymentId)`
  `void`
  `setDmnElement(DmnElement dmnElement)`
  `void`
  `setExecutionId(String executionId)`
  `void`
  `setFallbackToDefaultTenant(boolean fallbackToDefaultTenant)`
  `void`
  `setForceDMN11(boolean forceDMN11)`
  `void`
  `setInstanceId(String instanceId)`
  `void`
  `setParentDeploymentId(String parentDeploymentId)`
  `void`
  `setScopeType(String scopeType)`
  `void`
  `setTenantId(String tenantId)`
  `void`
  `setVariables(Map<String,Object> variables)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### decisionKey

    protected String decisionKey

  - ### decisionId

    protected String decisionId

  - ### decisionVersion

    protected int decisionVersion

  - ### deploymentId

    protected String deploymentId

  - ### parentDeploymentId

    protected String parentDeploymentId

  - ### instanceId

    protected String instanceId

  - ### executionId

    protected String executionId

  - ### activityId

    protected String activityId

  - ### scopeType

    protected String scopeType

  - ### variables

    protected Map<String,Object> variables

  - ### tenantId

    protected String tenantId

  - ### fallbackToDefaultTenant

    protected boolean fallbackToDefaultTenant

  - ### forceDMN11

    protected boolean forceDMN11

  - ### dmnElement

    protected DmnElement dmnElement

  - ### decisionExecution

    protected DecisionExecutionAuditContainer decisionExecution

- ## Constructor Details

  - ### ExecuteDecisionContext

    public ExecuteDecisionContext()

- ## Method Details

  - ### getDecisionKey

    public String getDecisionKey()

  - ### setDecisionKey

    public void setDecisionKey(String decisionKey)

  - ### getDecisionId

    public String getDecisionId()

  - ### setDecisionId

    public void setDecisionId(String decisionId)

  - ### getDecisionVersion

    public int getDecisionVersion()

  - ### setDecisionVersion

    public void setDecisionVersion(int decisionVersion)

  - ### getDeploymentId

    public String getDeploymentId()

  - ### setDeploymentId

    public void setDeploymentId(String deploymentId)

  - ### getParentDeploymentId

    public String getParentDeploymentId()

  - ### setParentDeploymentId

    public void setParentDeploymentId(String parentDeploymentId)

  - ### getInstanceId

    public String getInstanceId()

  - ### setInstanceId

    public void setInstanceId(String instanceId)

  - ### getExecutionId

    public String getExecutionId()

  - ### setExecutionId

    public void setExecutionId(String executionId)

  - ### getActivityId

    public String getActivityId()

  - ### setActivityId

    public void setActivityId(String activityId)

  - ### getScopeType

    public String getScopeType()

  - ### setScopeType

    public void setScopeType(String scopeType)

  - ### getVariables

    public Map<String,Object> getVariables()

  - ### setVariables

    public void setVariables(Map<String,Object> variables)

  - ### getTenantId

    public String getTenantId()

  - ### setTenantId

    public void setTenantId(String tenantId)

  - ### isFallbackToDefaultTenant

    public boolean isFallbackToDefaultTenant()

  - ### setFallbackToDefaultTenant

    public void setFallbackToDefaultTenant(boolean fallbackToDefaultTenant)

  - ### isForceDMN11

    public boolean isForceDMN11()

  - ### setForceDMN11

    public void setForceDMN11(boolean forceDMN11)

  - ### getDmnElement

    public DmnElement getDmnElement()

  - ### setDmnElement

    public void setDmnElement(DmnElement dmnElement)

  - ### getDecisionExecution

    public DecisionExecutionAuditContainer getDecisionExecution()

  - ### setDecisionExecution

    public void setDecisionExecution(DecisionExecutionAuditContainer decisionExecution)